.right {
    background-color: #232B2D;
    position: absolute;
    right: 0px;
    width: 82.3%;
    height: 100%;
}
.right .top {
    width: 100%;
    height: 40px;
    padding: 10px 20px;
    background-color: #eceff1;
}
.right .top span {
    font-size: 16px;
    color: #999;
}
.right .top span .name {
    color: #1a1a1a;
    font-family: 'Source Sans Pro', sans-serif;
    font-weight: 600;
}


.right .chat {
    position: relative;
    display: none;
    overflow: hidden;
    padding: 0 35px 92px;
    border-width: 1px 1px 1px 0;
    border-style: solid;
    border-color: #e6e6e6;
    height: calc(100% - 28px);
    justify-content: flex-end;
    flex-direction: column;
}
.right .chat {
    display: block;
    display: flex;
}




 .right .write {
    position: absolute;
    bottom: 29px;
    left: 30px;
    height: 42px;
    padding-left: 8px;
    border: 1px solid #e6e6e6;
    background-color: #eceff1;
    width: calc(100% - 58px);
    border-radius: 5px;
  }
   .right .write input {
    font-size: 16px;
    float: left;
    width: 347px;
    height: 40px;
    padding: 0 10px;
    color: #1a1a1a;
    border: 0;
    outline: none;
    background-color: #eceff1;
    font-family: 'Source Sans Pro', sans-serif;
    font-weight: 400;
  }
   .right .write .write-link.attach:before {
    display: inline-block;
    float: left;
    width: 20px;
    height: 42px;
    content: '';
    background-image: url("https://s1.postimg.org/s5gfy283f/attachemnt.png");
    background-repeat: no-repeat;
    background-position: center;
  }
   .right .write .write-link.smiley:before {
    display: inline-block;
    float: left;
    width: 20px;
    height: 42px;
    content: '';
    background-image: url("https://s14.postimg.org/q2ug83h7h/smiley.png");
    background-repeat: no-repeat;
    background-position: center;
  }
   .right .write .write-link.send:before {
    display: inline-block;
    float: left;
    width: 20px;
    height: 42px;
    margin-left: 11px;
    content: '';
    background-image: url("https://s30.postimg.org/nz9dho0pp/send.png");
    background-repeat: no-repeat;
    background-position: center;
  }
   .right .bubble {
    font-size: 16px;
    position: relative;
    display: inline-block;
    clear: both;
    margin-bottom: 8px;
    padding: 7px 8px;
    vertical-align: top;
    border-radius: 5px;
  }
   .right .bubble:before {
    position: absolute;
    top: 19px;
    display: block;
    width: 8px;
    height: 6px;
    content: '\00a0';
    transform: rotate(29deg) skew(-35deg);
  }
   .right .bubble.you {
    float: left;
    color: #fff;
    background-color: #00b0ff;
    align-self: flex-start;
    -moz-animation-name: slideFromLeft;
    -webkit-animation-name: slideFromLeft;
    animation-name: slideFromLeft;
  }
   .right .bubble.you:before {
    left: -3px;
    background-color: #00b0ff;
  }
   .right .bubble.me {
    float: right;
    color: #1a1a1a;
    background-color: #eceff1;
    align-self: flex-end;
    -moz-animation-name: slideFromRight;
    -webkit-animation-name: slideFromRight;
    animation-name: slideFromRight;
  }
.right .bubble.me:before {
    right: -3px;
    background-color: #eceff1;
}